php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #58808 Make error
Submitted: 2009-08-14 05:16 UTC Modified: 2009-08-17 18:43 UTC
From: royozin at gmail dot com Assigned:
Status: Closed Package: mongo (PECL)
PHP Version: 5.1.6 OS: Centos 5.3
Private report: No CVE-ID: None
 [2009-08-14 05:16 UTC] royozin at gmail dot com
Description:
------------
Getting make error when installing with pecl.

Reproduce code:
---------------
http://pastie.org/583810


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2009-08-14 10:37 UTC] kristina at 10gen dot com
PECL can't find SPL (Standard PHP Library) headers.  If you run

$ php -m

does it show SPL?  It might not be included in Centos's PHP.
 [2009-08-16 10:00 UTC] royozin at gmail dot com
It is listed when I do php -m, so is "standard".
 [2009-08-16 12:05 UTC] kristina at 10gen dot com
Interesting... I don't have a VM at the moment, but tomorrow I'll spin up an instance of Centos and try to figure out what's going on.  

Thanks for your help!  I'll let you know when it's fixed.
 [2009-08-17 18:43 UTC] kristina at 10gen dot com
This bug has been fixed in CVS.

In case this was a documentation problem, the fix will show up at the
end of next Sunday (CET) on pecl.php.net.

In case this was a pecl.php.net website problem, the change will show
up on the website in short time.
 
Thank you for the report, and for helping us make PECL better.

It's not actually "Fixed in CVS", it's fixed on Github.  You can download the latest driver at http://github.com/mongodb/mongo-php-driver/tree/master and install it by running:

$ phpize
$ ./configure
$ sudo make install

You could also wait a day or two and get it through PECL (I'm going to release 0.9.4 ASAP).

Regardless, methods that say they throw IllegalArgumentException in the manual will actually throw plain old exceptions for you.  Sorry.

The bug was very strange, CentOS's PHP obviously has SPL, and SPL says it's contained that exception since PHP 5.1, but... not there.
 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Sat Apr 10 21:01:26 2021 UTC